---
title: snipe-it
---
<!-- DO NOT EDIT THIS FILE MANUALLY -->
<!-- Please read https://github.com/linuxserver/docker-snipe-it/blob/master/.github/CONTRIBUTING.md -->
# [linuxserver/snipe-it](https://github.com/linuxserver/docker-snipe-it)

[![Scarf.io pulls](https://scarf.sh/installs-badge/linuxserver-ci/linuxserver%2Fsnipe-it?color=94398d&label-color=555555&logo-color=ffffff&style=for-the-badge&package-type=docker)](https://scarf.sh/gateway/linuxserver-ci/docker/linuxserver%2Fsnipe-it)
[![GitHub Stars](https://img.shields.io/github/stars/linuxserver/docker-snipe-it.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=github)](https://github.com/linuxserver/docker-snipe-it)
[![GitHub Release](https://img.shields.io/github/release/linuxserver/docker-snipe-it.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&logo=github)](https://github.com/linuxserver/docker-snipe-it/releases)
[![GitHub Package Repository](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitHub%20Package&logo=github)](https://github.com/linuxserver/docker-snipe-it/packages)
[![GitLab Container Registry](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=GitLab%20Registry&logo=gitlab)](https://gitlab.com/linuxserver.io/docker-snipe-it/container_registry)
[![Quay.io](https://img.shields.io/static/v1.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=linuxserver.io&message=Quay.io)](https://quay.io/repository/linuxserver.io/snipe-it)
[![Docker Pulls](https://img.shields.io/docker/pulls/linuxserver/snipe-it.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=pulls&logo=docker)](https://hub.docker.com/r/linuxserver/snipe-it)
[![Docker Stars](https://img.shields.io/docker/stars/linuxserver/snipe-it.svg?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=stars&logo=docker)](https://hub.docker.com/r/linuxserver/snipe-it)
[![Jenkins Build](https://img.shields.io/jenkins/build?labelColor=555555&logoColor=ffffff&style=for-the-badge&jobUrl=https%3A%2F%2Fci.linuxserver.io%2Fjob%2FDocker-Pipeline-Builders%2Fjob%2Fdocker-snipe-it%2Fjob%2Fmaster%2F&logo=jenkins)](https://ci.linuxserver.io/job/Docker-Pipeline-Builders/job/docker-snipe-it/job/master/)
[![LSIO CI](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=CI&query=CI&url=https%3A%2F%2Fci-tests.linuxserver.io%2Flinuxserver%2Fsnipe-it%2Flatest%2Fci-status.yml)](https://ci-tests.linuxserver.io/linuxserver/snipe-it/latest/index.html)

[Snipe-it](https://github.com/snipe/snipe-it) makes asset management easy. It was built by people solving real-world IT and asset management problems, and a solid UX has always been a top priority. Straightforward design and bulk actions mean getting things done faster.

[![snipe-it](https://s3-us-west-2.amazonaws.com/linuxserver-docs/images/snipe-it-logo500x500.png)](https://github.com/snipe/snipe-it)

## Supported Architectures

We utilise the docker manifest for multi-platform awareness. More information is available from docker [here](https://distribution.github.io/distribution/spec/manifest-v2-2/#manifest-list) and our announcement [here](https://blog.linuxserver.io/2019/02/21/the-lsio-pipeline-project/).

Simply pulling `lscr.io/linuxserver/snipe-it:latest` should retrieve the correct image for your arch, but you can also pull specific arch images via tags.

The architectures supported by this image are:

| Architecture | Available | Tag |
| :----: | :----: | ---- |
| x86-64 | ✅ | amd64-\<version tag\> |
| arm64 | ✅ | arm64v8-\<version tag\> |
| armhf | ❌ | |

## Application Setup

"Access the webui at `<your-ip>:8080`, for more information check out [Snipe-it](https://github.com/snipe/snipe-it).

**This container requires a MySQL or MariaDB server to connect to, we recommend [ours](https://github.com/linuxserver/docker-mariadb)**

### PHP customization

This image uses our NGINX base image all override configuration files for PHP are located in `/config/php`.

## Usage

To help you get started creating a container from this image you can either use docker-compose or the docker cli.

### docker-compose (recommended, [click here for more info](https://docs.linuxserver.io/general/docker-compose))

```yaml
---
services:
  snipe-it:
    image: lscr.io/linuxserver/snipe-it:latest
    container_name: snipe-it
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
      - APP_URL=http://localhost:8080
      - MYSQL_PORT_3306_TCP_ADDR=
      - MYSQL_PORT_3306_TCP_PORT=
      - MYSQL_DATABASE=
      - MYSQL_USER=
      - MYSQL_PASSWORD=
      - APP_ENV=production #optional
      - APP_DEBUG=false #optional
      - APP_LOCALE= #optional
      - MAIL_PORT_587_TCP_ADDR=US/Pacific #optional
      - MAIL_PORT_587_TCP_PORT=US/Pacific #optional
      - MAIL_ENV_FROM_ADDR=US/Pacific #optional
      - MAIL_ENV_FROM_NAME=US/Pacific #optional
      - MAIL_ENV_ENCRYPTION=US/Pacific #optional
      - MAIL_ENV_USERNAME=US/Pacific #optional
      - MAIL_ENV_PASSWORD=US/Pacific #optional
    volumes:
      - /path/to/data:/config
    ports:
      - 8080:80
    restart: unless-stopped
```

### docker cli ([click here for more info](https://docs.docker.com/engine/reference/commandline/cli/))

```bash
docker run -d \
  --name=snipe-it \
  -e PUID=1000 \
  -e PGID=1000 \
  -e TZ=Etc/UTC \
  -e APP_URL=http://localhost:8080 \
  -e MYSQL_PORT_3306_TCP_ADDR= \
  -e MYSQL_PORT_3306_TCP_PORT= \
  -e MYSQL_DATABASE= \
  -e MYSQL_USER= \
  -e MYSQL_PASSWORD= \
  -e APP_ENV=production `#optional` \
  -e APP_DEBUG=false `#optional` \
  -e APP_LOCALE= `#optional` \
  -e MAIL_PORT_587_TCP_ADDR=US/Pacific `#optional` \
  -e MAIL_PORT_587_TCP_PORT=US/Pacific `#optional` \
  -e MAIL_ENV_FROM_ADDR=US/Pacific `#optional` \
  -e MAIL_ENV_FROM_NAME=US/Pacific `#optional` \
  -e MAIL_ENV_ENCRYPTION=US/Pacific `#optional` \
  -e MAIL_ENV_USERNAME=US/Pacific `#optional` \
  -e MAIL_ENV_PASSWORD=US/Pacific `#optional` \
  -p 8080:80 \
  -v /path/to/data:/config \
  --restart unless-stopped \
  lscr.io/linuxserver/snipe-it:latest
```

## Parameters

Containers are configured using parameters passed at runtime (such as those above). These parameters are separated by a colon and indicate `<external>:<internal>` respectively. For example, `-p 8080:80` would expose port `80` from inside the container to be accessible from the host's IP on port `8080` outside the container.

### Ports (`-p`)

| Parameter | Function |
| :----: | --- |
| `80` | Snipe-IT Web UI |

### Environment Variables (`-e`)

| Env | Function |
| :----: | --- |
| `PUID=1000` | for UserID - see below for explanation |
| `PGID=1000` | for GroupID - see below for explanation |
| `TZ=Etc/UTC` | specify a timezone to use, see this [list](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones#List). |
| `APP_URL=http://localhost:8080` | Hostname or IP and port if applicable, be sure to define https/http |
| `MYSQL_PORT_3306_TCP_ADDR=` | Mysql hostname or IP to use |
| `MYSQL_PORT_3306_TCP_PORT=` | Mysql port to use |
| `MYSQL_DATABASE=` | Mysql database to use |
| `MYSQL_USER=` | Mysql user to use |
| `MYSQL_PASSWORD=` | Mysql password to use |
| `APP_ENV=production` | Default is `production` but can use `testing` or `develop`. |
| `APP_DEBUG=false` | Set to `true` to see debugging output in the web UI. |
| `APP_LOCALE=` | Default is `en`. Set to a language from [this list](https://snipe-it.readme.io/docs/configuration#section-setting-a-language). |
| `MAIL_PORT_587_TCP_ADDR=US/Pacific` | SMTP mail server ip or hostname. |
| `MAIL_PORT_587_TCP_PORT=US/Pacific` | SMTP mail server port. |
| `MAIL_ENV_FROM_ADDR=US/Pacific` | The email address mail should be replied to and listed when sent. |
| `MAIL_ENV_FROM_NAME=US/Pacific` | The name listed on email sent from the default account on the system. |
| `MAIL_ENV_ENCRYPTION=US/Pacific` | Mail encryption to use e.g. `tls`. |
| `MAIL_ENV_USERNAME=US/Pacific` | SMTP server login username. |
| `MAIL_ENV_PASSWORD=US/Pacific` | SMTP server login password. |

### Volume Mappings (`-v`)

| Volume | Function |
| :----: | --- |
| `/config` | Contains your config files and data storage for Snipe-IT |

#### Miscellaneous Options

| Parameter | Function |
| :-----:   | --- |

## Environment variables from files (Docker secrets)

You can set any environment variable from a file by using a special prepend `FILE__`.

As an example:

```bash
-e FILE__MYVAR=/run/secrets/mysecretvariable
```

Will set the environment variable `MYVAR` based on the contents of the `/run/secrets/mysecretvariable` file.

## Umask for running applications

For all of our images we provide the ability to override the default umask settings for services started within the containers using the optional `-e UMASK=022` setting.
Keep in mind umask is not chmod it subtracts from permissions based on it's value it does not add. Please read up [here](https://en.wikipedia.org/wiki/Umask) before asking for support.

## User / Group Identifiers

When using volumes (`-v` flags), permissions issues can arise between the host OS and the container, we avoid this issue by allowing you to specify the user `PUID` and group `PGID`.

Ensure any volume directories on the host are owned by the same user you specify and any permissions issues will vanish like magic.

In this instance `PUID=1000` and `PGID=1000`, to find yours use `id your_user` as below:

```bash
id your_user
```

Example output:

```text
uid=1000(your_user) gid=1000(your_user) groups=1000(your_user)
```

## Docker Mods

[![Docker Mods](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=snipe-it&query=%24.mods%5B%27snipe-it%27%5D.mod_count&url=https%3A%2F%2Fraw.githubusercontent.com%2Flinuxserver%2Fdocker-mods%2Fmaster%2Fmod-list.yml)](https://mods.linuxserver.io/?mod=snipe-it "view available mods for this container.") [![Docker Universal Mods](https://img.shields.io/badge/dynamic/yaml?color=94398d&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=universal&query=%24.mods%5B%27universal%27%5D.mod_count&url=https%3A%2F%2Fraw.githubusercontent.com%2Flinuxserver%2Fdocker-mods%2Fmaster%2Fmod-list.yml)](https://mods.linuxserver.io/?mod=universal "view available universal mods.")

We publish various [Docker Mods](https://github.com/linuxserver/docker-mods) to enable additional functionality within the containers. The list of Mods available for this image (if any) as well as universal mods that can be applied to any one of our images can be accessed via the dynamic badges above.

## Support Info

* Shell access whilst the container is running:

    ```bash
    docker exec -it snipe-it /bin/bash
    ```

* To monitor the logs of the container in realtime:

    ```bash
    docker logs -f snipe-it
    ```

* Container version number:

    ```bash
    docker inspect -f '{{ index .Config.Labels "build_version" }}' snipe-it
    ```

* Image version number:

    ```bash
    docker inspect -f '{{ index .Config.Labels "build_version" }}' lscr.io/linuxserver/snipe-it:latest
    ```

## Updating Info

Most of our images are static, versioned, and require an image update and container recreation to update the app inside. With some exceptions (noted in the relevant readme.md), we do not recommend or support updating apps inside the container. Please consult the [Application Setup](#application-setup) section above to see if it is recommended for the image.

Below are the instructions for updating containers:

### Via Docker Compose

* Update images:
    * All images:

        ```bash
        docker-compose pull
        ```

    * Single image:

        ```bash
        docker-compose pull snipe-it
        ```

* Update containers:
    * All containers:

        ```bash
        docker-compose up -d
        ```

    * Single container:

        ```bash
        docker-compose up -d snipe-it
        ```

* You can also remove the old dangling images:

    ```bash
    docker image prune
    ```

### Via Docker Run

* Update the image:

    ```bash
    docker pull lscr.io/linuxserver/snipe-it:latest
    ```

* Stop the running container:

    ```bash
    docker stop snipe-it
    ```

* Delete the container:

    ```bash
    docker rm snipe-it
    ```

* Recreate a new container with the same docker run parameters as instructed above (if mapped correctly to a host folder, your `/config` folder and settings will be preserved)
* You can also remove the old dangling images:

    ```bash
    docker image prune
    ```

### Image Update Notifications - Diun (Docker Image Update Notifier)

!!! tip 

    We recommend [Diun](https://crazymax.dev/diun/) for update notifications. Other tools that automatically update containers unattended are not recommended or supported.

## Building locally

If you want to make local modifications to these images for development purposes or just to customize the logic:

```bash
git clone https://github.com/linuxserver/docker-snipe-it.git
cd docker-snipe-it
docker build \
  --no-cache \
  --pull \
  -t lscr.io/linuxserver/snipe-it:latest .
```

The ARM variants can be built on x86_64 hardware using `multiarch/qemu-user-static`

```bash
docker run --rm --privileged multiarch/qemu-user-static:register --reset
```

Once registered you can define the dockerfile to use with `-f Dockerfile.aarch64`.

## Versions

* **06.03.24:** - Existing users should update: site-confs/default.conf - Cleanup default site conf.
* **17.02.24:** - Add php81-exif.
* **03.07.23:** - Deprecate armhf. As announced [here](https://www.linuxserver.io/blog/a-farewell-to-arm-hf)
* **13.04.23:** - Move ssl.conf include to default.conf.
* **13.04.23:** - Add php81-pecl-redis for redis support.
* **28.12.22:** - Rebase to Alpine 3.17, migrate to s6v3.
* **20.08.22:** - Rebasing to alpine 3.15 with php8. Restructure nginx configs ([see changes announcement](https://info.linuxserver.io/issues/2022-08-20-nginx-base)).
* **14.05.22:** - Add php7-sodium for v6.
* **12.04.22:** - Don't build development elements.
* **02.03.22:** - Rework init logic, do not show default compose.
* **29.06.21:** - Rebasing to alpine 3.14.
* **30.04.21:** - Rebasing to alpine 3.13, add artisan migrate on spinup.
* **01.06.20:** - Rebasing to alpine 3.12.
* **19.12.19:** - Rebasing to alpine 3.11.
* **28.06.19:** - Rebasing to alpine 3.10.
* **10.04.19:** - Add php deps for V4.7.0, ensure framework directories are available at build time.
* **10.04.19:** - Fix permissions for new bootstrap cache directory.
* **23.03.19:** - Switching to new Base images, shift to arm32v7 tag.
* **22.02.19:** - Rebasing to alpine 3.9.
* **31.10.18:** - Rebasing to alpine 3.8
* **05.08.18:** - Migration to live build server.
* **13.06.18:** - Initial Release.
